#include <iostream>
#include <stdio.h>

using namespace std;

int f(char a)
{
    if(a=='0')
        return 0;
    if(a=='1')
        return 1;
    if(a=='2')
        return 1;
    if(a=='3')
        return 2;
    if(a=='4')
        return 2;
    if(a=='5')
        return 1;
    if(a=='6')
        return 2;
    if(a=='7')
        return 2;
    if(a=='8')
        return 3;
    if(a=='9')
        return 3;
}

int main()
{
    char v[100];
    gets(v);
    int s=0;
    for(int i=0; v[i]!=0; i++)
    {
        s+=f(v[i]);
    }
    cout<<s;
    return 0;
}